Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## j2meunit.examples
Class TestOne

    java.lang.Object
      |
      +--j2meunit.framework.Assert
            |
            +--j2meunit.framework.TestCase
                  |
                  +--j2meunit.examples.TestOne

All Implemented Interfaces:
  Test

public class TestOne
extends TestCase

Example Testcase 1.

Constructor Summary
`TestOne()` Default constructor.
`TestOne(java.lang.String sTestName, TestMethod rTestMethod)` TestOne constructor comment.

Method Summary
`Test` | `suite()` To create the test suite.
`void` | `testOne()` Test method 1.
`void` | `testTwo()` Test method 2.

Methods inherited from class j2meunit.framework.TestCase
`countTestCases, countTestSteps, createResult, getName, getTestMethod, getTestMethodName, onAssertion, run, run, runBare, runTest, setName, setTestMethod, setTestMethod, setTestMethodName, setUp, tearDown, testStepFinished, toString`

Methods inherited from class j2meunit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestOne

    public TestOne()

  Default constructor.

### TestOne

    public TestOne(java.lang.String sTestName,
                   TestMethod rTestMethod)

  TestOne constructor comment.

Method Detail

### suite

    public Test suite()

  To create the test suite.

  Overrides:
    `suite` in class `TestCase`
  Returns:
    A new test suite

### testOne

    public void testOne()

  Test method 1.

### testTwo

    public void testTwo()

  Test method 2.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD